1.5 Core Solo, 1.66 or 1.83 Core Duo, or 1.83 or 2 GHz Core 2 Duo processor

180 Questions View all

Need to know what to do to update to at least Mavericks.

What do I need to do to get my Mac mini to update to the el capitan? Should I change the hard drive? It works perfectly. Just need it to update!! What components do I need to change to make this happen?

Answered! View the answer I have this problem too

Is this a good question?

Score 0
Add a comment

2 Answers

Chosen Solution

Sadly its just not possible, the hardware is limited here. The highest OS this series can support is Snow Leopard (10.6.8) in 32bit mode. This also limits you to older 32bit apps. Which you'll only find in the used software shelves.

I guess its time for a new Mac mini!

Was this answer helpful?

Score 2
Add a comment

There are some hacks around to get it up to 10.7.5.

Install Lion in the standard way, boot into your old OS, delete the 'PlatformSupport.plist' from your freshly installed Lion partition (it's in 'System/Library/CoreServices') - then Lion will boot just fine :-)

Was this answer helpful?

Score 0

Comments:

Thats al well and good for Lion as it still has a dual code set (32 & 64bit), El Capitan does not offer any 32 code.

I would stick to Apples recommendations here, Snow Leopard being the highest I would go with. The CPU will struggle with anything newer.

by

Add a comment

Add your answer

Babalou will be eternally grateful.
View Statistics:

Past 24 Hours: 0

Past 7 Days: 0

Past 30 Days: 0

All Time: 103